*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
    list-style: none;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}
body{
    background: #ffffff;
    background: linear-gradient(171deg, rgba(255, 255, 255, 1) 0%, rgba(44, 68, 176, 1) 100%);
}

.container{
    max-width: 1200px;
    min-height: 100vh;
    padding: 0 25px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.widget{
    background-color: #fefefe;
    padding: 15px 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    text-align: center;
}
.widget .widget-main .city{
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 5px;
}
.widget .widget-main .datetime{
    font-size: 16px;
    font-weight: 300;
    margin-bottom: 10px;
    font-style: italic;
}
.widget .widget-main .weather-icon img{
    width: 100px;
    height: 100px;
    margin: 15px 0;
}
.widget .widget-main .temperature{
    font-size: 48px;
    font-weight: 700;
}
.widget .widget-main .description{
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 10px;
    font-style: italic;
}
.widget .widget-footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 7px 0;
}
.widget .widget-footer div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 16px;
    font-weight: 300;
}
.widget .widget-footer div .value{
    padding: 7px 0;
    font-weight: 700;
    margin-bottom: 5px;
}
.widget .form {
    display: flex;
    gap: 10px;
}
.widget .form  input{
    width: 100%;
    padding: 10px 15px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    outline: none;
    font-size: 16px;
    font-weight: 300;
}
.widget .form  button{
    padding: 10px 15px;
    margin: 10px 0;
    border: none;
    border-radius: 5px;
    background-color: #2c44b0;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
}